Bug 253364 - non unique UUID in Smolt
non unique UUID in Smolt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-18 06:41 EDT by Arnaud Siminski
Modified: 2008-06-16 22:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arnaud Siminski 2007-08-18 06:41:55 EDT
Description of problem:
I installed FC7 last June. During installation process, the program gave me UUID
e16b4e38-a73b-4323-bcb1-91938db0f084

Couple of weeks later, I went to smolt website to check out my setup
(http://smolt.fedoraproject.org/show...b1-91938db0f084) and it was not my
computer that was displayed (i own an AMD Athlon XP 2200+ with ATI RADEON 9200
GPU...).

This page keeps on changing even if I send my profile back to smolt using
"smoltSendProfile"

Here is the output for smoltSendProfile in my computer : 

        UUID: e16b4e38-a73b-4323-bcb1-91938db0f084
        SE: Fedora release 7 (Moonshine)
        Run level par défaut: 5
        Langue: fr_FR.UTF-8
        Plateforme: i686
        BogoMIPS: 3609.86
        Fabriquant du CPU: AuthenticAMD
        Modèle de CPU: AMD Athlon(tm) XP 2200+
        Nombre de CPU: 1
        Vitesse du CPU: 1803
        Mémoire du système: 1010
        Swap du système: 1983
        Fabriquant: ASUSTeK Computer INC.
        Système: A7N8X-X REV 2.xx
        Type d'ordinateur: desktop
        Noyau : 2.6.22.1-41.fc7
       [...]

if I send this profile, the page on smolt webpage will show my setup. Couple
hours later (or days.. it depends actually) the page will show a totally
different setup·
Comment 1 Mike McGrath 2007-08-18 10:45:43 EDT
We've heard of collisions in the past.  I'm wondering if the uuid generation
phase is not as random as we'd hopped.  The easiest fix for now is to run the
following command as root:

cat /proc/sys/kernel/random/uuid > /etc/sysconfig/hw-uuid

which will generate a new UUID for you.
Comment 2 Mike McGrath 2007-08-18 10:55:12 EDT
Interesting, upon closer inspection there is a number of UUID's (around 5 that I
see right now) that, for whatever reason, don't appear to be randomly generated.
 In fact I estimate there's around 2,000 people with that UUID listed in the db
right now.

I'll have to think about this a bit.  possibly generating a random password for
the UUID.  Anyone requesting any changes or updates to the UUID will have to
send the password as well.  If you're submitting new (or updating) and there's a
collision, then it will generate a new UUID.  I'm not sure.  One thing I do
know, /proc/sys/kernel/random/uuid is not as random as it should be.
Comment 3 Mike McGrath 2007-12-11 13:13:10 EST
Ok, this issue has been discovered and I'd like you guys to verify.  I believe
this is an issue of the live CD installs all ending up with the same UUID.  Can
those having this issue verify one way or the other that they installed via a
live image?
Comment 4 william hanlon 2007-12-11 13:21:29 EST
I had this problem and I installed my machine using a F7 live CD. I've since
upgraded it to F8 (via yum), so I guess that would not change the uuid.

I've used your suggestion from comment #1 to generate a new uuid. I have another
computer at home that I also used the F7 live CD to install. I'll check later
tonight to see if it also has the same problem.
Comment 5 Arnaud Siminski 2007-12-11 14:24:42 EST
I did install using a F7 live CD. I have upgrade to F8 now using yum...
Comment 6 Bug Zapper 2008-05-14 10:01:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Philip Ashmore 2008-05-28 00:29:21 EDT
I've been having this problem too with Fedora 8 KDE live CD.

I therefore request that the product version be increased from Fedora 7 to Fedora 8.

http://www.smolts.org/client/show/pub_ddc9f5fc-7111-4440-998e-44945e7d5266

appears to be used by at least one other person.

I followed Mike McGraths advice
https://bugzilla.redhat.com/show_bug.cgi?id=253364#c1
and got a new UUID - how do I check if this is unique?

I updated the fields but I noticed that my changes are NOT displayed when I visit
http://www.smolts.org/client/show/pub_97175f49-87f6-40f4-bf70-98cee3851809
They only show up on
http://www.smolts.org/client/show/?uuid=pub_97175f49-87f6-40f4-bf70-98cee3851809
Comment 8 Bug Zapper 2008-06-16 22:10:58 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.